using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using Utility;

namespace MKDS_Course_Editor
{
    public partial class PATH : Form
    {
        public nkm.PATh item = null;
        public PATH(nkm.PATh i)
        {
            InitializeComponent();
            item = i;
        }
        byte[] stringtobyte(string a)
        {
            byte[] buffer;
            int discarded;
            buffer = HexEncoding.GetBytes(a, out discarded);
            return buffer;
        }
        private void PATH_Load(object sender, EventArgs e)
        {
            textBox1.Text = BitConverter.ToString(item.NrPoit).Replace("-","");
        }

        private void button1_Click(object sender, EventArgs e)
        {
            item.NrPoit = stringtobyte(textBox1.Text);
            MKDS_Course_Editor.nkm.item = item;
            this.Close();
        }
    }
}
